Adds a pop-up system to the Hud of the player, inspired by Call of Duty titles.
Depending on conditions, you'll earn accolades for actions you perform (mostly combat- or movement-related). Some of more demanding feats even give custom colors! 
Heavily inspired by and practically a derivative of LavaLump's [StyleMeter](https://northstar.thunderstore.io/package/TheLavaLump/LavaLump_StyleMeter/)  

# Updates:

## 1.0.0:
-Initial release!

## 1.0.1
- Fixed launcher install incompatibility (thanks [Gecko](https://github.com/GeckoEidechse))
- "Farmer" medal is now awarded for every AI kill above 3
- removed upper limit on number in AI kills pop-up that can be displayed (previously capped at "KILL ×4!")
- increased timer to chain kills (Pilot and AI): 4 > 5 sec

## 1.1.0
- Added "Revenge" popup: Awarded for killing a player who most recently killed you
- Added "No scope" popup: Awarded for unscoped kills with Kraber, DMR or Double Take
- Added "Core" popup: Awarded for kills with your titan's core
- Fixed StyleMeter incompatibility (thanks [TheLavaLump](https://northstar.thunderstore.io/package/TheLavaLump/))
- "Smoker" renamed to "Shocker"
- "Shocker" now applies to all electric types of weapons (Thunderbolt, Arc Grenade etc.)
- "Obliterated" renamed to "Into pieces"
- Firestar can no longer give "Longshot"
- Swordcore can no longer give "Crispy"



# Special thanks:
- Extensive coding collaboration and base mod, [TheLavaLump](https://northstar.thunderstore.io/package/TheLavaLump/)
- Functions for longshot, [S2ymi](https://northstar.thunderstore.io/package/S2Mods/)
- Functions for movement and speed, [Khalmee](https://northstar.thunderstore.io/package/Khalmee/)

### This mod requires [S2ClientKillCallback](https://northstar.thunderstore.io/package/S2Mods/ClientKillCallback/) for it to function

For feedback, issues or bug reports please directly message `TheLavaLump#9401` or `Mauer-Läufer#4236` or message them in the Northstar discord server.